Subject: Re: bug#78939: 30.1.90; wishlist: separate storage location for safe-local-variable data

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Jul 2025 14:41:41 +0300

> From: Christopher Howard <[email-masked]>
> Date: Tue, 01 Jul 2025 14:39:50 -0800
> 
> 
> 
> Emacs has a sophisticated system for managing safe evaluation of file and directory local variables, as documented in 51.2.4.2 Safety of File Variables, which I appreciate. However, something that I find bothersome is that the permanently recorded data for safe and unsafe values is stored in the custom-set-variables code, which is stored in the init file or another file of your choice. This creates a quandary for me because I like to use the customization system, but I don't want my customized settings to change often or to be highly system or project specific. Using the safety system in a routine manner results in the custom-set-variables code (which I keep in the init file) being filled with pages and pages of (mostly safe) values, which feels awkward.
> 
> In my mind, these safe and unsafe values are more like cached data which should be kept in a separate file, which I don't need to look at ever. As a wishlist item, could a facility be integrated which allows such data to be stored in a completely separate file?

I don't have an opinion on this, but maybe others (CC'ed) do.

In any case, if this is implemented as  an opt-in feature, I don't see
why we would object to have it.